## com.imcode.imcms.flow
Class DocumentPermissionSetPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.flow.DocumentPermissionSetPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class DocumentPermissionSetPage

extends OkCancelPage

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__ALLOWED_DOCUMENT_TYPE_IDS`
`static java.lang.String` `REQUEST_PARAMETER__ALLOWED_TEMPLATE_GROUP_IDS`
`static java.lang.String` `REQUEST_PARAMETER__DEFAULT_TEMPLATE_ID`
`static java.lang.String` `REQUEST_PARAMETER__EDIT`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_DOCUMENT_INFORMATION`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_IMAGES`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_INCLUDES`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_MENUS`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_PERMISSIONS`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_TEMPLATES`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_TEXTS`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`DocumentPermissionSetPage(DocumentDomainObject document, DocumentPermissionSetDomainObject documentPermissionSet, boolean forNew, DispatchCommand okDispatchCommand, DispatchCommand cancelDispatchCommand)`

Method Summary
`DocumentDomainObject` `getDocument()`
`DocumentPermissionSetDomainObject` `getDocumentPermissionSet()`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`boolean` `isForNew()`
`protected void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchCancel, dispatchNotCanceled, dispatchOk, dispatchOther, wasCanceled, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__EDIT_PERMISSIONS

    public static final java.lang.String REQUEST_PARAMETER__EDIT_PERMISSIONS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT

    public static final java.lang.String REQUEST_PARAMETER__EDIT

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_DOCUMENT_INFORMATION

    public static final java.lang.String REQUEST_PARAMETER__EDIT_DOCUMENT_INFORMATION

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_TEXTS

    public static final java.lang.String REQUEST_PARAMETER__EDIT_TEXTS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_IMAGES

    public static final java.lang.String REQUEST_PARAMETER__EDIT_IMAGES

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_INCLUDES

    public static final java.lang.String REQUEST_PARAMETER__EDIT_INCLUDES

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_MENUS

    public static final java.lang.String REQUEST_PARAMETER__EDIT_MENUS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ALLOWED_DOCUMENT_TYPE_IDS

    public static final java.lang.String REQUEST_PARAMETER__ALLOWED_DOCUMENT_TYPE_IDS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ALLOWED_TEMPLATE_GROUP_IDS

    public static final java.lang.String REQUEST_PARAMETER__ALLOWED_TEMPLATE_GROUP_IDS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_TEMPLATES

    public static final java.lang.String REQUEST_PARAMETER__EDIT_TEMPLATES

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DEFAULT_TEMPLATE_ID

    public static final java.lang.String REQUEST_PARAMETER__DEFAULT_TEMPLATE_ID

See Also:
  Constant Field Values

Constructor Detail

### DocumentPermissionSetPage

    public DocumentPermissionSetPage(DocumentDomainObject document,
                                     DocumentPermissionSetDomainObject documentPermissionSet,
                                     boolean forNew,
                                     DispatchCommand okDispatchCommand,
                                     DispatchCommand cancelDispatchCommand)

Method Detail

### getDocumentPermissionSet

    public DocumentPermissionSetDomainObject getDocumentPermissionSet()

### getDocument

    public DocumentDomainObject getDocument()

### updateFromRequest

    protected void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`

### isForNew

    public boolean isForNew()